import request from "@/utils/request";

// 查询列表
export function getList(query) {
  return request({
    url: "/question/category/list",
    method: "get",
    params: query,
  });
}

// 查询详情  /question/category/{id}
export function getDetail(id) {
  return request({
    url: `/question/category/${id}`,
    method: "get",
  });
}

// 新增  /question/category
export function add(data) {
  return request({
    url: "/question/category",
    method: "post",
    data,
  });
}

// 修改
export function update(data) {
  return request({
    url: "/question/category",
    method: "put",
    data,
  });
}

// 删除
export function del(ids) {
  return request({
    url: `/question/category/${ids}`,
    method: "delete",
  });
}
